#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
%bcond_without	static_libs	# don't build static libraries

Summary:	Zeitgeist client library
Summary(pl.UTF-8):	Biblioteka kliencka Zeitgeist
Name:		libzeitgeist
Version:	0.3.18
Release:	6
License:	LGPL v2+
Group:		Libraries
Source0:	http://launchpad.net/libzeitgeist/0.3/%{version}/+download/%{name}-%{version}.tar.gz
# Source0-md5:	d63a37295d01a58086d0d4ae26e604c2
Patch0:		%{name}-am.patch
URL:		http://zeitgeist-project.com/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	glib2-devel >= 1:2.26.0
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	glib2 >= 1:2.26.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a client library for applications that want to
interact with the Zeitgeist daemon.

%description -l pl.UTF-8
Ten pakiet dostarcza bibliotekę kliencką dla aplikacji chcących
współdziałać z demonem Zeitgeist.

%package devel
Summary:	Header files for zeitgeist library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki zeitgeist
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.26.0

%description devel
Header files for zeitgeist library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki zeitgeist.

%package static
Summary:	Static zeitgeist library
Summary(pl.UTF-8):	Statyczna biblioteka zeitgeist
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static zeitgeist library.

%description static -l pl.UTF-8
Statyczna biblioteka zeitgeist.

%package apidocs
Summary:	zeitgeist library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki zeitgeist
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API documentation for zeitgeist library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki zeitgeist.

%package -n vala-zeitgeist1
Summary:	Vala API for zeitgeist library
Summary(pl.UTF-8):	API języka Vala dla biblioteki zeitgeist
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala
Conflicts:	vala-zeitgeist < 0.3.18-3
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description -n vala-zeitgeist1
Vala API for zeitgeist library.

%description -n vala-zeitgeist1 -l pl.UTF-8
API języka Vala dla biblioteki zeitgeist.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{__enable_disable static_libs static} \
	%{__enable_disable apidocs gtk-doc} \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/libzeitgeist

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libzeitgeist-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libzeitgeist-1.0.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libzeitgeist-1.0.so
%{_includedir}/zeitgeist-1.0
%{_pkgconfigdir}/zeitgeist-1.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libzeitgeist-1.0.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/zeitgeist-1.0
%endif

%files -n vala-zeitgeist1
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/zeitgeist-1.0.deps
%{_datadir}/vala/vapi/zeitgeist-1.0.vapi
%changelog
* Mon Mar 28 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libzeitgeist.git;a=log;h=master

* Mon Mar 28 2016 Elan Ruusamäe <glen@delfi.ee> aeee014
- noarch vala subpackage

* Sat Mar 28 2015 Elan Ruusamäe <glen@delfi.ee> 3fc1ed0
- noarch apidocs

* Fri Jan 17 2014 Jan Rękorajski <baggins@pld-linux.org> b26558e
- release 4 (by relup.sh)

* Sun Jun 16 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 6e43e29
- Rename vala-zeitgeist to vala-zeitgeist1 to avoid name conflict with
package provided by zeitgeist.spec. Release 3

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> 73aad9d
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

* Tue May 29 2012 wrobell <wrobell@pld-linux.org> 25d6643
- ver. 0.3.18

* Tue May 29 2012 wrobell <wrobell@pld-linux.org> c136bb0
- ver. 0.3.16

* Wed Dec 28 2011 Jakub Bogusz <qboosh@pld-linux.org> be28468
- updated to 0.3.12

* Wed Dec 28 2011 Jakub Bogusz <qboosh@pld-linux.org> ca9c964
- separated vala binding
- releease 2

* Thu Mar 31 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 28059b7
- updated to 0.3.10

* Sun Mar 13 2011 Marcin Banasiak <marcin.banasiak@gmail.com> c0220ce
- new

